Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.cache.pojo.impl
Class CachedType

    java.lang.Object
      org.jboss.cache.pojo.impl.CachedType

    public class CachedType

extends Object

Represent a cached object type, e.g., whether it is primitive or not. Note: need to pay special attention not to leak classloader.

Author:
  Harald Gliebe, Ben Wang

Constructor Summary
`CachedType()`
`CachedType(Class type)`

Method Summary
`protected static String` | `attributeName(String methodName)`
`Field` | `getField(String name)`
`List<FieldPersistentReference>` | `getFields()`
`List<FieldPersistentReference>` | `getFinalFields()`
`Class` | `getType()`
`protected static boolean` | `isGet(Method method)`
`boolean` | `isImmediate()`
`static boolean` | `isImmediate(Class clazz)`
`boolean` | `isImmutable()`
`static boolean` | `isNonReplicable(Field field)`
`protected static boolean` | `isSet(Method method)`
`static boolean` | `isSimpleAttribute(Field field)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CachedType

    public CachedType()

### CachedType

    public CachedType(Class type)

Method Detail

### getType

    public Class getType()

### isImmediate

    public boolean isImmediate()

### isImmediate

    public static boolean isImmediate(Class clazz)

### isImmutable

    public boolean isImmutable()

### getFields

    public List<FieldPersistentReference> getFields()

### getFinalFields

    public List<FieldPersistentReference> getFinalFields()

### getField

    public Field getField(String name)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### isNonReplicable

    public static boolean isNonReplicable(Field field)

### isSimpleAttribute

    public static boolean isSimpleAttribute(Field field)

### attributeName

    protected static String attributeName(String methodName)

### isGet

    protected static boolean isGet(Method method)

### isSet

    protected static boolean isSet(Method method)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 JBoss, a division of Red Hat. All Rights Reserved.